package com.ruoyi.project.production.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

/**
 * 盲板清单对象 t_blind
 *
 * @author ruoyi
 * @date 2020-11-24
 */
public class TBlind extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private String id;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 单元 */
    @Excel(name = "单元")
    private String unit;

    /** 系统 */
    @Excel(name = "系统")
    private String system;

    /** 盲板编号 */
    @Excel(name = "盲板编号")
    private String blindno;

    /** 尺寸 */
    @Excel(name = "尺寸")
    private String sizes;

    /** “8”字盲板 YES/NO */
    @Excel(name = "“8”字盲板" , dictType = "YES_NO_EN")
    private String eightblind;

    /** 压力（LB） */
    @Excel(name = "压力（LB）")
    private String pressure;

    /** 盲板类型（带压/隔离） */
    @Excel(name = "盲板类型")
    private String blindtype;

    /** 管道编号 */
    @Excel(name = "管道编号")
    private String pipeno;

    /** 介质 */
    @Excel(name = "介质")
    private String media;

    /** PID图号 */
    @Excel(name = "PID图号")
    private String pid;

    /** 位置描述 */
    @Excel(name = "位置描述")
    private String place;

    /** YESNO盲位（YES/NO） */
    @Excel(name = "YESNO盲位", dictType = "YES_NO_EN")
    private String ynblind;

    /** 盲位时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "盲位时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date blinddate;

    /** 状态 0：正常 2：删除 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setSystem(String system)
    {
        this.system = system;
    }

    public String getSystem()
    {
        return system;
    }
    public void setBlindno(String blindno)
    {
        this.blindno = blindno;
    }

    public String getBlindno()
    {
        return blindno;
    }
    public void setSizes(String sizes)
    {
        this.sizes = sizes;
    }

    public String getSizes()
    {
        return sizes;
    }
    public void setEightblind(String eightblind)
    {
        this.eightblind = eightblind;
    }

    public String getEightblind()
    {
        return eightblind;
    }
    public void setPressure(String pressure)
    {
        this.pressure = pressure;
    }

    public String getPressure()
    {
        return pressure;
    }
    public void setBlindtype(String blindtype)
    {
        this.blindtype = blindtype;
    }

    public String getBlindtype()
    {
        return blindtype;
    }
    public void setPipeno(String pipeno)
    {
        this.pipeno = pipeno;
    }

    public String getPipeno()
    {
        return pipeno;
    }
    public void setMedia(String media)
    {
        this.media = media;
    }

    public String getMedia()
    {
        return media;
    }
    public void setPid(String pid)
    {
        this.pid = pid;
    }

    public String getPid()
    {
        return pid;
    }
    public void setPlace(String place)
    {
        this.place = place;
    }

    public String getPlace()
    {
        return place;
    }
    public void setYnblind(String ynblind)
    {
        this.ynblind = ynblind;
    }

    public String getYnblind()
    {
        return ynblind;
    }
    public void setBlinddate(Date blinddate)
    {
        this.blinddate = blinddate;
    }

    public Date getBlinddate()
    {
        return blinddate;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("unit", getUnit())
            .append("system", getSystem())
            .append("blindno", getBlindno())
            .append("sizes", getSizes())
            .append("eightblind", getEightblind())
            .append("pressure", getPressure())
            .append("blindtype", getBlindtype())
            .append("pipeno", getPipeno())
            .append("media", getMedia())
            .append("pid", getPid())
            .append("place", getPlace())
            .append("ynblind", getYnblind())
            .append("blinddate", getBlinddate())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .toString();
    }
}
